| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Lib.ILoadableScript Interface Reference

Interface for classes that can be dynamically loadeded from scripts and run, which provides functionality of dynamic scripting. It is recommendable to derive all such classes from the LoadableScriptBase base class. More...

Inheritance diagram for IG.Lib.ILoadableScript:
[legend]

## Public Member Functions
string | Run (string[] arguments)
| Runs the executable method of the object. More...
void | Initialize (string[] arguments)
| Initializes the current object. More...

## Properties
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. More...
bool | IsInitialized`[get]`
| Whether the object has been initialized or not. More...

## Detailed Description

Interface for classes that can be dynamically loadeded from scripts and run, which provides functionality of dynamic scripting. It is recommendable to derive all such classes from the LoadableScriptBase base class.

$A Igor Jul09 May10;

## Member Function Documentation

string IG.Lib.ILoadableScript.Run | ( | string[] | arguments | ) |

Runs the executable method of the object.

Parameters

  arguments | String arguments to the executable method.

Returns

Implemented in IG.Lib.LoadableScriptBase.

Referenced by IG.Lib.CommandLineApplicationInterpreter.CmdRunInternalScriptClass(), and IG.Lib.LoadableScriptInterpreterBase.RunCommand().

void IG.Lib.ILoadableScript.Initialize | ( | string[] | arguments | ) |

Initializes the current object.

Parameters

  arguments | Arguments of initialization.

Implemented in IG.Lib.LoadableScriptBase.

## Property Documentation

string IG.Lib.ILoadableScript.EmbeddedCommandName
| get set

Command that was used to launch the current embedded application script.

string [] IG.Lib.ILoadableScript.InitializationArguments
| get set

Arguments used by the initialization method.

Referenced by IG.Lib.CommandLineApplicationInterpreter.CmdRunInternalScriptClass(), and IG.Lib.ScriptLoaderBase.CreateLoadableObject().

bool IG.Lib.ILoadableScript.IsInitialized
| get

Whether the object has been initialized or not.

The documentation for this interface was generated from the following file:

- igbase/interpreters/scriptloader/LoadableScriptBase.cs